Subject: Interrupt handling triggered by GPIO-input on 405EP?

From: Martin Egholm Nielsen <[email-masked]>
Date: Tue, 18 May 2004 14:29:46 +0200

Hello there,

I've done some initial coding with the ibmgpio driver with my PPC405EP
(PPChamelon) board, and inspired by the "gpio_test.c"-application, I've
succeeded in turning on some attached LEDs on some of the ports, and
reading whether some of the others ports are set high or low using the
(manually) attached pushbutton-switches.

However, the way the application is at the moment I need to poll the
input-ports every so often in order to detect a pushbutton-activation.
Hence, I would like to register an interrupt-handler (of some sort) that
informs me when these events occur. Is that somehow possible?

Best regards,
  Martin Egholm

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/